package com.ruoyi.common.utils.export;


/**
 * Created by xk on 2017/12/4 0004.
 */
public enum JxlsTemplateEnum implements JxlsTemplate {

    DONE_TASK_LIST("/template/document/export/plant.xls", "程序请单.xls"),
    DEV_YLRQ_UPDATE("/static/template/sems/info/ylrqInspectionInfo.xlsx", "压力容器检验信息更新清单.xlsx"),
    DEV_YLGD_UPDATE("/static/template/sems/info/ylgdInspectionInfo.xlsx", "压力管道检验信息更新清单.xlsx"),
    DEV_DZSB_UPDATE("/static/template/sems/info/dzsbInspectionInfo.xlsx", "起重机械检验信息更新清单.xlsx"),
    DEV_GL_UPDATE("/static/template/sems/info/glInspectionInfo.xlsx", "锅炉设备检验信息更新清单.xlsx"),
    DEV_DT_UPDATE("/static/template/sems/info/dtInspectionInfo.xlsx", "电梯设备检验信息更新清单.xlsx"),
    DEV_CC_UPDATE("/static/template/sems/info/ccInspectionInfo.xlsx", "叉车设备检验信息更新清单.xlsx");

    private String path;
    private String name;

    JxlsTemplateEnum(String path, String name) {
        this.path = path;
        this.name = name;
    }

    @Override
    public String getPath() {
        return this.path;
    }

    @Override
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
